Bug 1303902 - [Text] - Improve the error message when failing to run VM with network-used host device
[Text] - Improve the error message when failing to run VM with network-used h...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.2.6
x86_64 Linux
low Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: nobody nobody
meital avital
: UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 06:35 EST by Michael Burman
Modified: 2017-07-12 07:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3?
mgoldboi: planning_ack+
mburman: devel_ack?
mburman: testing_ack?


Attachments (Terms of Use)
screenshot (110.46 KB, image/png)
2016-02-02 06:35 EST, Michael Burman
no flags Details

  None (edit)
Description Michael Burman 2016-02-02 06:35:13 EST
Description of problem:
[Text] - Improve the error message when failing to run VM with network-used host device.

When failing to run VM with network-used host device, the next error message is displayed:

"Error while executing action: 

sr-vm3:
Cannot run VM. There is no host that satisfies current scheduling constraints. See below for details:
The host puma22.scl.lab.tlv.redhat.com did not satisfy internal filter HostDevice because some of the required host devices are unavailable.."

This error message should be improved, because it is really not clear why it's unavailable.
The error message should explain that the host devices are unavailable because they are in use by some network/s or something like that.

Version-Release number of selected component (if applicable):
3.6.3-0.1

How reproducible:
100

Steps to Reproduce:
1. Add device to VM via Host Devices sub tab that has a network attached to him
2. Try to run VM

Actual results:
Failed with error:
"Error while executing action: 

sr-vm3:
Cannot run VM. There is no host that satisfies current scheduling constraints. See below for details:
The host puma22.scl.lab.tlv.redhat.com did not satisfy internal filter HostDevice because some of the required host devices are unavailable.."

Expected results:
Error message should be improved.

Additional info:
See also - BZ 1230775
Comment 1 Michael Burman 2016-02-02 06:35 EST
Created attachment 1120379 [details]
screenshot
Comment 2 Sandro Bonazzola 2016-05-02 05:56:41 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 3 Yaniv Lavi (Dary) 2016-05-23 09:17:55 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 4 Yaniv Lavi (Dary) 2016-05-23 09:24:33 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 5 Tomas Jelinek 2016-11-23 10:23:41 EST
it is dependant on a bigger changes in the hostdev infrastructure, will not make 4.1

Note You need to log in before you can comment on or make changes to this bug.